OpenTTD Source: CargoReroute< Tlist > Class Template Reference

OpenTTD Source 15.0-beta1

Public Member Functions | Protected Attributes
CargoReroute< Tlist > Class Template Reference

Action of rerouting cargo between different cargo lists and/or next hops. More...

`#include <cargoaction.h>`

Inheritance diagram for CargoReroute< Tlist >:

## Public Member Functions
| CargoReroute (Tlist *source, Tlist *dest, uint max_move, StationID avoid, StationID avoid2, const GoodsEntry *ge)
Public Member Functions inherited from CargoMovement< Tlist, Tlist >
| CargoMovement (Tlist *source, Tlist *destination, uint max_move)
uint | MaxMove ()
| Returns how much more cargo can be moved with this action.

## Protected Attributes
StationID | avoid
StationID | avoid2
const GoodsEntry * | ge
Protected Attributes inherited from CargoMovement< Tlist, Tlist >
Tlist * | source
| Source of the cargo.
Tlist * | destination
| Destination for the cargo.
uint | max_move
| Maximum amount of cargo to be moved with this action.

## Additional Inherited Members
Protected Member Functions inherited from CargoMovement< Tlist, Tlist >
CargoPacket * | Preprocess (CargoPacket *cp)
| Decides if a packet needs to be split.

## Detailed Description

template<class Tlist>
class CargoReroute< Tlist >

Action of rerouting cargo between different cargo lists and/or next hops.

Definition at line 121 of file cargoaction.h.

## Constructor & Destructor Documentation

## ◆ CargoReroute()

template<class Tlist >

CargoReroute< Tlist >::CargoReroute | ( | Tlist * | source,
|  | Tlist * | dest,
|  | uint | max_move,
|  | StationID | avoid,
|  | StationID | avoid2,
|  | const GoodsEntry * | ge
| ) |  |
| inline

Definition at line 127 of file cargoaction.h.

## Field Documentation

## ◆ avoid

template<class Tlist >

StationID CargoReroute< Tlist >::avoid
| protected

Definition at line 123 of file cargoaction.h.

## ◆ avoid2

template<class Tlist >

StationID CargoReroute< Tlist >::avoid2
| protected

Definition at line 124 of file cargoaction.h.

## ◆ ge

template<class Tlist >

const GoodsEntry* CargoReroute< Tlist >::ge
| protected

Definition at line 125 of file cargoaction.h.

The documentation for this class was generated from the following file:

- src/cargoaction.h